Create a Reserve
POST /api/v1/reserves/create
Reserve balance. Deduct from Available balance and increase Reserve balance.
Airwallex account unique identifier.
Amount of the reserve in currency, representing how much to reserve.
Currency (3-letter ISO-4217 code).
Unique request identifier. 1-50 characters long.
Airwallex account unique identifier specified in the request.
Amount of the reserve in currency specified in the request.
The time this reserve was created.
Currency (3-letter ISO-4217 code) specified in the request.
Unique request identifier specified in the request.
Unique identifier for the reserve.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/reserves/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "account_id": "1936398",> "amount": 10000,> "currency": "AUD",> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2">}'
1{2 "account_id": "1936398",3 "amount": 10000,4 "created_at": "2018-03-22T16:08:02+1100",5 "currency": "AUD",6 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",7 "reserve_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede"8}
Create an Unreserve
POST /api/v1/reserves/unreserve
Unreserve balance. Deduct from Reserve balance and increase Available balance.
Airwallex account unique identifier.
Amount of the unreserve in currency, representing how much to unreserve.
Currency (3-letter ISO-4217 code).
Unique request identifier. 1-50 characters long.
Airwallex account unique identifier specified in the request.
Amount of the unreserve in currency specified in the request.
The time this unreserve was created.
Currency (3-letter ISO-4217 code) specified in the request.
Unique request identifier specified in the request.
Unique identifier for the unreserve.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/reserves/unreserve' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "account_id": "1936398",> "amount": 10000,> "currency": "AUD",> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2">}'
1{2 "account_id": "1936398",3 "amount": 10000,4 "created_at": "2018-03-22T16:08:02+1100",5 "currency": "AUD",6 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",7 "unreserve_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede"8}